Skip to main content
DELETE
/
user
/
tools
/
{id}
Delete mid call tool
curl --request DELETE \
  --url https://repforce.ai/api/user/tools/{id} \
  --header 'Accept: <accept>' \
  --header 'Authorization: <authorization>' \
  --header 'Content-Type: <content-type>'
import requests

url = "https://repforce.ai/api/user/tools/{id}"

headers = {
    "Authorization": "<authorization>",
    "Content-Type": "<content-type>",
    "Accept": "<accept>"
}

response = requests.delete(url, headers=headers)

print(response.text)
const options = {
  method: 'DELETE',
  headers: {
    Authorization: '<authorization>',
    'Content-Type': '<content-type>',
    Accept: '<accept>'
  }
};

fetch('https://repforce.ai/api/user/tools/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));


{
  "message": "Tool deleted successfully"
}
{
  "message": "Tool not found"
}
This endpoint allows you to permanently delete a mid call tool. This will also remove the tool from all assistants it was assigned to.

Headers

Authorization
string
required
Bearer token for authentication
Content-Type
string
required
Must be application/json
Accept
string
required
Must be application/json

Path Parameters

id
integer
required
The unique identifier of the tool to delete

Response fields

message
string
Success message confirming deletion
{
  "message": "Tool deleted successfully"
}
{
  "message": "Tool not found"
}

Note

When a tool is deleted, it is automatically removed from all assistants. To manage tool assignments without deleting the tool, use:
  • Update Assistant - Use the tool_ids parameter to remove tools from specific assistants